import { Ref } from 'vue';
import { Actor, ActorOptions, AnyActorLogic, SnapshotFrom, type ConditionalRequired, type IsNotNever, type RequiredActorOptionsKeys } from 'xstate';
export declare function useActor<TLogic extends AnyActorLogic>(actorLogic: TLogic, ...[options]: ConditionalRequired<[
    options?: ActorOptions<TLogic> & {
        [K in RequiredActorOptionsKeys<TLogic>]: unknown;
    }
], IsNotNever<RequiredActorOptionsKeys<TLogic>>>): {
    snapshot: Ref<SnapshotFrom<TLogic>>;
    send: Actor<TLogic>['send'];
    actorRef: Actor<TLogic>;
};
